DRM_GEM_OBJECT_INIT(9)

NAME
drm_gem_object_init - initialize an allocated shmem-backed GEM object

SYNOPSIS

int drm_gem_object_init(struct drm_device * dev, struct drm_gem_object * obj, size_t size);

ARGUMENTS

dev
    drm_device the object should be initialized for

obj
    drm_gem_object to initialize

size
    object size

DESCRIPTION

Initialize an already allocated GEM object of the specified size with shmfs backing store.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT